#include <bits/stdc++.h>

using namespace std;
void np(int n)
{
      if(n!=0)
       {
             np(n/2);
            f2<<n%2;
        }
}
int main() {
	ifstream f1("DQNP.INP");
	ofstream f2("DQNP.OUT");
	int n;
	f1>>n;
	np(n);
	return 0;
}

